import java.lang.Math;

public class MedidorPorColor extends Medidor {
  public void calibrate(float maxTime2ripe, float minTime2ripe,
                        float minColor, float maxColor) {
    max_time2ripe=maxTime2ripe;
    min_time2ripe=minTime2ripe;
    this.minColor=minColor;
    this.maxColor=maxColor;
  }
  private float fromColor2time(float color){
    float slope = -(max_time2ripe-min_time2ripe)/
			(maxColor-minColor);
    return max_time2ripe+slope*(color-minColor);
  }
  public float measure(Fruta f) {
    float measurement;
    if (f instanceof Tomate){
      Tomate t = (Tomate) f;
      measurement=t.getColor()*(float)(1+presicion*(2*Math.random()-1));
      return fromColor2time(measurement); 
    }else return -1;
  }
  private float max_time2ripe;
  private float min_time2ripe;
  private float minColor;
  private float maxColor;
  private float presicion=0.05f;
}
