public class Clasificador {
  
  public static void main(String argv[]) {
    int numFruits = Integer.parseInt(argv[0]);
    float firmness;
      // Clasificacion de Paltas
    ClasificadorPaltas cp=new ClasificadorPaltas(3);    
    for (int i=0; i< numFruits; i++) { 
      firmness=(float)Math.random()*(Palta.MAX_FIRMNESS-Palta.MIN_FIRMNESS)+
	            Palta.MIN_FIRMNESS;
      Palta p=new Palta(firmness);  // cosechamos una palta
      cp.classify(p);     // la clasificamos
    }
    cp.printBaskets();    // ver resultado de clasificacion

      // Clasificacion de Tomates
    ClasificadorTomates ct=new ClasificadorTomates(3);
    for (int i=0; i< numFruits; i++) { 
      firmness=(float)Math.random()*(Tomate.MAX_FIRMNESS-Tomate.MIN_FIRMNESS)+
	  			Tomate.MIN_FIRMNESS;
      Tomate t=new Tomate(firmness);  // cosechamos un Tomate
      ct.classify(t);     // lo clasificamos
    }
    ct.printBaskets();   // ver resultado de clasificacion
  }
}
