import java.lang.Math;

public class MedidorPorAceite extends Medidor {
  public void calibrate(float maxTime2ripe, float minTime2ripe,
                        float minOil, float maxOil) {
    max_time2ripe=maxTime2ripe;
    min_time2ripe=minTime2ripe;
    minOilPercentage=minOil;
    maxOilPercentage=maxOil;
  }
  private float fromOil2time(float oil){
    float slope = -(max_time2ripe-min_time2ripe)/
			(maxOilPercentage-minOilPercentage);
    return max_time2ripe+slope*(oil-minOilPercentage);
  }
  public float measure(Fruta f) {
    float measurement;
    if (f instanceof Palta){
      Palta p = (Palta) f;
      measurement=p.getOilPercentage()*(float)(1+presicion*(2*Math.random()-1));
      return fromOil2time(measurement); 
    }else return -1;
  }
  private float max_time2ripe;
  private float min_time2ripe;
  private float minOilPercentage;
  private float maxOilPercentage;
  private float presicion=0.05f;
}
