import java.lang.Math;

public class MedidorPorFirmeza extends Medidor {
  public void calibrate(float maxTime2ripe, float minTime2ripe,
                        float maxFirmness, float minFirmness) {
    max_time2ripe=maxTime2ripe;
    min_time2ripe=minTime2ripe;
    this.minFirmness=minFirmness;
    this.maxFirmness=maxFirmness;
  }
  private float fromFirmness2time(float firmness){
    float slope = (max_time2ripe-min_time2ripe)/
			(maxFirmness-minFirmness);
    return min_time2ripe+slope*(firmness-minFirmness);
  }
  public float measure(Fruta f) {
    float measurement;
    measurement=f.getFirmness()*(float)(1+presicion*(2*Math.random()-1));
    return fromFirmness2time(measurement); 
  }
  private float max_time2ripe;
  private float min_time2ripe;
  private float minFirmness;
  private float maxFirmness;
  private float presicion=0.05f;
}
